:root {
    --primary: #BF943E;
    --second: #F0E5C9;
    --third: #E8E2D7;
    --primary_dark: #27251F;
    --secondary_dark: #716D62;
    --background: #F9F6EF;
    --error: #DC3545;
}

* {
    margin: 0;
    padding: 0;
    -webkit-box-sizing: border-box;
            box-sizing: border-box;
}

::view-transition-group(root) {
    animation-duration: 0.25s;
}

html:active-view-transition-type(forwards) {
    &::view-transition-old(root) {
        animation-name: slide-out-to-left;
    }
    &::view-transition-new(root) {
        animation-name: slide-in-from-right;
    }
}
html:active-view-transition-type(backwards) {
    &::view-transition-old(root) {
        animation-name: slide-out-to-right;
    }
    &::view-transition-new(root) {
        animation-name: slide-in-from-left;
    }
}
html:active-view-transition-type(bot) {
    &::view-transition-old(root) {
        animation-name: slide-out-to-top;
    }
    &::view-transition-new(root) {
        animation-name: slide-in-from-bot;
    }
}
html:active-view-transition-type(top) {
    &::view-transition-old(root) {
        animation-name: slide-out-to-bot;
    }
    &::view-transition-new(root) {
        animation-name: slide-in-from-top;
    }
}

@keyframes slide-out-to-left {
    from {
        right: 0%;
    }
    to {
        right: 100%;
    }
}
@keyframes slide-in-from-right {
    from {
        left: 100%;
    }
    to {
        left: 0%;
    }
}
@keyframes slide-out-to-right {
    from {
        left: 0%;
    }
    to {
        left: 100%;
    }
}
@keyframes slide-in-from-left {
    from {
        right: 100%;
    }
    to {
        right: 0%;
    }
}

@keyframes slide-out-to-bot {
    from {
        top: 0%;
    }
    to {
        top: 0%;
    }
}
@keyframes slide-in-from-top {
    from {
        top: -100%;
    }
    to {
        top: 0%;
    }
}
@keyframes slide-out-to-top {
    from {
        top: 0%;
    }
    to {
        top: -100%;
    }
}
@keyframes slide-in-from-bot {
    0% {
        opacity: 0%;
    }
    50% {
        opacity: 0%;
    }
    100% {
        opacity: 100%;
    }
}


@font-face {
	font-family: "Verandah";
	src: url(assets/verandah_reverie.otf) format("opentype");
}
@font-face {
	font-family: "Gully";
	src: url(assets/Gully-Light.ttf) format("truetype");
}

html {
    -ms-touch-action: manipulation;
        touch-action: manipulation;
}

body {
    font-family: "Gully", Arial, Helvetica, sans-serif;
    background-color: var(--background);
}

h1, h2, h3, h4, h5, h6 {
    font-family: "Gully", Arial, Helvetica, sans-serif;
    font-weight: 100;
    color: var(--primary_dark);
}

h1 {
    font-size: 34px;
}

h2 {
    font-size: 30px;
}

h3 {
    font-size: 24px;
}

h4 {
    font-size: 20px;
}

h5 {
    font-size: 18px;
}

h6 {
    font-size: 16px;
}

hr {
    width: 80%;
    margin-left: 10%;
    border: none;
    border-top: 1px solid var(--secondary_dark);
}

select, input {
    background-color: var(--third);
    border: 1px solid var(--primary_dark);
    border-radius: 6px;
    padding: 8px 12px;
    color: var(--primary_dark);
    font-size: 16px;
    font-family: Arial, Helvetica, sans-serif;
}

button {
    padding: 6px 12px;
    border: 1px solid var(--primary_dark);
    border-radius: 6px;
    font-size: 16px;
    color: var(--primary_dark);
    font-family: "Gully", Arial, Helvetica, sans-serif;
}

select:disabled, input:disabled, button:disabled {
    opacity: 50%;
}

svg {
    user-select: none;
}



#main {
    display: none;
}

#status {
    position: absolute;
    height: 100dvh;
    width: 100vw;
}

#longLoading {
    display: none;
}

.heart {
    position: absolute;
    height: 100dvh;
    width: 100vw;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
}



@keyframes pulseAnimation {
    0%, 100% { transform: scale(1); }
    50% { transform: scale(1.2); }
}

.pulse {
    animation-name: pulseAnimation;
    animation-duration: 1s;
    animation-timing-function: ease;
    animation-iteration-count: infinite;
    animation-direction: normal;
    animation-fill-mode: both;
}



.fullScreen {
    position: absolute;
    top: 0;
    left: 0;
    text-align: center;
    height: 100%;
    width: 100vw;
    z-index: 10;
}

.centeredFixed {
    position: fixed;
    top: 50%;
    -ms-transform: translateY(-50%);
    -webkit-transform: translateY(-50%);
            transform: translateY(-50%);
}

.centeredAbs {
    position: absolute;
    top: 50%;
    -ms-transform: translateY(-50%);
    -webkit-transform: translateY(-50%);
            transform: translateY(-50%);
    width: 100%;
}

.centeredAbs25 {
    position: absolute;
    top: 25%;
    -ms-transform: translateY(-50%);
    -webkit-transform: translateY(-50%);
            transform: translateY(-50%);
    width: 100%;
}



.flex_row {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
}

.flex_col {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
}

.flex_center {
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
}

.flex_start {
    -webkit-box-pack: start;
        -ms-flex-pack: start;
            justify-content: start;
    -webkit-box-align: start;
        -ms-flex-align: start;
            align-items: start;
}

.gap12 {
    gap: 12px;
}
